#ifndef ATLFFruit_H
#define ATLFFruit_H

//////////////////////////////////////////////////////////////////////////
//                                                                      //
// ATLFFruit                                                            //
//                                                                      //
// Utility class to draw Electrons, photons, Jets, Clusters,etc         //
//                                                                      //
//////////////////////////////////////////////////////////////////////////

#ifndef ROOT_TPolyLine3D
#include <TPolyLine3D.h>
#endif

class ATLFDisplay;

class ATLFFruit : public TPolyLine3D {

private:
   TObject          *m_Fruit;            //Pointer to original fruit
   
public:
                     ATLFFruit() {;}
                     ATLFFruit(TObject *obj, Float_t eta, Float_t phi, Float_t pt, Int_t type);
   virtual          ~ATLFFruit() {;}
   virtual void      Delete(Option_t *option="");
   TObject          *Fruit() {return m_Fruit;}
   virtual char     *GetObjectInfo(Int_t px, Int_t py);

   ClassDef(ATLFFruit, 0)   //Utility class to draw Electrons, photons, Jets, Clusters,etc
};

#endif
