
//////////////////////////////////////////////////////////////////////////
//                                                                      //
// ATLFHistBrowser                                                      //
//                                                                      //
// helper class to browse ATLFast Makers histograms.                    //
//                                                                      //
//////////////////////////////////////////////////////////////////////////

#include <TBrowser.h>
#include "ATLFast.h"
#include "ATLFMaker.h"
#include "ATLFHistBrowser.h"

ClassImp(ATLFHistBrowser)



//_____________________________________________________________________________
ATLFHistBrowser::ATLFHistBrowser() 
                : TNamed("Histograms","ATLfast Histograms browser")
{

}

//_____________________________________________________________________________
void ATLFHistBrowser::Browse(TBrowser *b)
{

  TIter next(gATLFast->Makers());
  ATLFMaker *maker;
  while ((maker = (ATLFMaker*)next())) {
     b->Add(maker->Histograms(),maker->GetName());
   }

}
