#ifndef ATLFHistBrowser_H
#define ATLFHistBrowser_H

//////////////////////////////////////////////////////////////////////////
//                                                                      //
// ATLFHistBrowser                                                      //
//                                                                      //
// helper class to browse ATLFast Makers histograms.                    //
//                                                                      //
//////////////////////////////////////////////////////////////////////////

#ifndef ROOT_TNamed
#include <TNamed.h>
#endif

class ATLFHistBrowser : public TNamed {

public:
                     ATLFHistBrowser();
   virtual          ~ATLFHistBrowser() {;}
   virtual void      Browse(TBrowser *b);
   Bool_t            IsFolder() const {return kTRUE;}

   ClassDef(ATLFHistBrowser, 0)   //helper class to browse ATLFast Makers histograms
};

#endif
