
//////////////////////////////////////////////////////////////////////////
//                                                                      //
// ATLFast trigger class                                                //
//                                                                      //
//////////////////////////////////////////////////////////////////////////

#include "ATLFTrigger.h"
#include "ATLFast.h"
#include "ATLFVirtualDisplay.h"

ClassImp(ATLFTrigger)


//_____________________________________________________________________________
ATLFTrigger::ATLFTrigger()
{
   Clear();
}

//_____________________________________________________________________________
void ATLFTrigger::Clear(Option_t *)
{
   m_ALL  = kFALSE;    //All triggers
   m_EM1  = kFALSE;    //One isolated electron
   m_PH1  = kFALSE;    //One isolated photon
   m_EM2  = kFALSE;    //Two isolated electrons/photons
   m_MU1  = kFALSE;    //One muon
   m_MU2  = kFALSE;    //Two muons
   m_EMU  = kFALSE;    //Electron-muon pairs
   m_JT1  = kFALSE;    //One jet
   m_JT3  = kFALSE;    //Three jets
   m_JT4  = kFALSE;    //Four jets
}

//_____________________________________________________________________________
void ATLFTrigger::Paint(Option_t *)
{
   gATLFast->Display()->DisplayTrigger(this);
}
