{
//=========Macro generated from canvas: Canvas/ATLFast/ROOT event display
//=========  (Mon Dec 10 17:53:36 2001) by ROOT version3.02/05
   TCanvas *Canvas = new TCanvas("Canvas", "ATLFast/ROOT event display",14,47,740,650);
   Canvas->Range(0,0,1,1);
   Canvas->SetBorderSize(2);
   Canvas->SetFrameFillColor(0);
  
// ------------>Primitives in pad: viewpad
   TPad *viewpad = new TPad("viewpad", "ATLFast display",0.15,0,1,1);
   viewpad->Draw();
   viewpad->cd();
   viewpad->Range(-1,-1,1,1);
   TView *view = new TView(1);
   view->SetRange(-115,-115,-600,115,115,600);
   viewpad->SetFillColor(1);
   viewpad->SetBorderSize(2);
   viewpad->SetFrameFillColor(0);
//Primitive: nodin/ATLAS outline. You must implement TNode::SavePrimitive
//Primitive: ATLFDisplay/Utility class to display ATLAS outline, tracks, clusters, jets,... You must implement ATLFDisplay::SavePrimitive
//Primitive: MCMaker/WH, H-->bb, W-->lnu. You must implement ATLFMCMaker::SavePrimitive
//Primitive: ATLFMuon/ATLFast muon class. You must implement ATLFMuon::SavePrimitive
//Primitive: ATLFJet/ATLFast jet class. You must implement ATLFJet::SavePrimitive
//Primitive: ATLFJet/ATLFast jet class. You must implement ATLFJet::SavePrimitive
//Primitive: ATLFMisc/ATLFast miscellaneous class. You must implement ATLFMisc::SavePrimitive
//Primitive: ATLFTrigger/ATLFast trigger class . You must implement ATLFTrigger::SavePrimitive
   
   TPaveText *pt = new TPaveText(-0.98,0.82,0,0.98,"br");
   pt->SetFillColor(42);
   TText *text = pt->AddText("Pythia event: 1, Run:0");
   text = pt->AddText("Pythia Mode: WH, H-->bb, W-->lnu");
   pt->Draw();
   viewpad->Modified();
   Canvas->cd();
  
// ------------>Primitives in pad: buttons
   buttons = new TPad("buttons", "newpad",0,0.45,0.15,1);
   buttons->Draw();
   buttons->cd();
   buttons->Range(0,0,1,1);
   buttons->SetFillColor(38);
   buttons->SetBorderSize(2);
   buttons->SetFrameFillColor(0);
   TButton *button = new TButton("Next","gATLFast->Display()->ShowNextEvent(1)",0.05,0.88,0.95,0.96);
   button->SetFillColor(38);
   button->Draw();
   button = new TButton("Previous","gATLFast->Display()->ShowNextEvent(-1)",0.05,0.786,0.95,0.866);
   button->SetFillColor(38);
   button->Draw();
   button = new TButton("Top View","gATLFast->Display()->SetView(90,-90)",0.05,0.692,0.95,0.772);
   button->SetFillColor(33);
   button->Draw();
   button = new TButton("Side View","gATLFast->Display()->SetView(90,0)",0.05,0.598,0.95,0.678);
   button->SetFillColor(33);
   button->Draw();
   button = new TButton("Front View","gATLFast->Display()->SetView(0,-90)",0.05,0.504,0.95,0.584);
   button->SetFillColor(33);
   button->Draw();
   button = new TButton("All Views","gATLFast->Display()->DrawAllViews()",0.05,0.41,0.95,0.49);
   button->SetFillColor(33);
   button->Draw();
   button = new TButton("OpenGL","gATLFast->Display()->DrawViewGL()",0.05,0.316,0.95,0.396);
   button->SetFillColor(38);
   button->Draw();
   button = new TButton("X3D","gATLFast->Display()->DrawViewX3D()",0.05,0.222,0.95,0.302);
   button->SetFillColor(38);
   button->Draw();
   TDiamond *diamond = new TDiamond(0.05,0.015,0.95,0.22);
   diamond->SetFillColor(50);
   diamond->SetTextAlign(22);
   diamond->SetTextColor(5);
   diamond->SetTextSize(0.11);
   text = diamond->AddText(".. ");
   text = diamond->AddText("ROOT");
   text = diamond->AddText("ATLFAST");
   text = diamond->AddText("... ");
   text = diamond->AddText(" ");
   diamond->Draw();
   buttons->Modified();
   Canvas->cd();
  
// ------------>Primitives in pad: TrigPad
   TrigPad = new TPad("TrigPad", "trigger pad",0,0,0.15,0.45);
   TrigPad->Draw();
   TrigPad->cd();
   TrigPad->Range(0,0,0.15,0.45);
   TrigPad->SetFillColor(22);
   TrigPad->SetBorderSize(2);
   TrigPad->SetFrameFillColor(0);
   TText *text = new TText(0.075,0.4185,"Trigger");
   text->SetTextAlign(22);
   text->SetTextFont(61);
   text->SetTextSize(0.2);
   text->Draw();
   text = new TText(0.045,0.36,"EM1");
   text->SetTextAlign(22);
   text->SetTextFont(61);
   text->SetTextSize(0.14);
   text->Draw();
   text = new TText(0.045,0.3285,"PH1");
   text->SetTextAlign(22);
   text->SetTextFont(61);
   text->SetTextSize(0.14);
   text->Draw();
   text = new TText(0.045,0.297,"EM2");
   text->SetTextAlign(22);
   text->SetTextFont(61);
   text->SetTextSize(0.14);
   text->Draw();
   text = new TText(0.045,0.2655,"MU1");
   text->SetTextAlign(22);
   text->SetTextFont(61);
   text->SetTextSize(0.14);
   text->Draw();
   text = new TText(0.045,0.234,"MU2");
   text->SetTextAlign(22);
   text->SetTextFont(61);
   text->SetTextSize(0.14);
   text->Draw();
   text = new TText(0.045,0.2025,"EMU");
   text->SetTextAlign(22);
   text->SetTextFont(61);
   text->SetTextSize(0.14);
   text->Draw();
   text = new TText(0.045,0.171,"JT1");
   text->SetTextAlign(22);
   text->SetTextFont(61);
   text->SetTextSize(0.14);
   text->Draw();
   text = new TText(0.045,0.1395,"JT2");
   text->SetTextAlign(22);
   text->SetTextFont(61);
   text->SetTextSize(0.14);
   text->Draw();
   text = new TText(0.045,0.108,"JT3");
   text->SetTextAlign(22);
   text->SetTextFont(61);
   text->SetTextSize(0.14);
   text->Draw();
   text = new TText(0.045,0.0765,"ALL");
   text->SetTextAlign(22);
   text->SetTextFont(61);
   text->SetTextSize(0.14);
   text->Draw();
   
   TArc *arc = new TArc(0.105,0.36,0.00945,0,360);
   arc->SetFillColor(2);
   arc->Draw();
   
   arc = new TArc(0.105,0.3285,0.00945,0,360);
   arc->SetFillColor(2);
   arc->Draw();
   
   arc = new TArc(0.105,0.297,0.00945,0,360);
   arc->SetFillColor(2);
   arc->Draw();
   
   arc = new TArc(0.105,0.2655,0.00945,0,360);
   arc->SetFillColor(3);
   arc->Draw();
   
   arc = new TArc(0.105,0.234,0.00945,0,360);
   arc->SetFillColor(2);
   arc->Draw();
   
   arc = new TArc(0.105,0.2025,0.00945,0,360);
   arc->SetFillColor(2);
   arc->Draw();
   
   arc = new TArc(0.105,0.171,0.00945,0,360);
   arc->SetFillColor(2);
   arc->Draw();
   
   arc = new TArc(0.105,0.1395,0.00945,0,360);
   arc->SetFillColor(2);
   arc->Draw();
   
   arc = new TArc(0.105,0.108,0.00945,0,360);
   arc->SetFillColor(2);
   arc->Draw();
   
   arc = new TArc(0.105,0.0765,0.00945,0,360);
   arc->SetFillColor(3);
   arc->Draw();
//Primitive: ATLFDisplay/Utility class to display ATLAS outline, tracks, clusters, jets,... You must implement ATLFDisplay::SavePrimitive
   TrigPad->Modified();
   Canvas->cd();
   Canvas->Modified();
   Canvas->cd();
}
