void hbox(Float_t xm, Float_t ym, char *name,Int_t npaves=5)
{
   Float_t xh,yh, dxm,dym, dxh,dyh;
   Float_t xt  = 0.55;
   Float_t yt  = 0.472;
   dxm = 0.12;
   dym = 0.025;
   dxh = dxm;
   dyh = dym;
   xh = xm + 0.25*dxm;
   yh = ym + 0.9*dym;
   TArrow *arrow = new TArrow(xm+0.5*dxm,ym+dym,xt,yt,0.01,">");
   arrow->SetLineWidth(8);
   arrow->SetLineColor(6);
   arrow->Draw();
   TPavesText *ph = new TPavesText(xh,yh,xh+dxh,yh+dyh);
   ph->AddText("histograms");
   ph->Draw();
   if (npaves > 1) {
      TPavesText *pm = new TPavesText(xm,ym,xm+dxm,ym+dym,npaves);
      pm->AddText(name);
      pm->Draw();
   } else {
      TPaveText *pm = new TPaveText(xm,ym,xm+dxm,ym+dym);
      pm->SetFillColor(42);
      pm->AddText(name);
      pm->Draw("arcbr");
   }
}
