#ifndef ATLFBigBang_H
#define ATLFBigBang_H

//////////////////////////////////////////////////////////////////////////
//                                                                      //
// ATLFBigBang                                                          //
//                                                                      //
// helper class to browse generated particles.                          //
//                                                                      //
//////////////////////////////////////////////////////////////////////////

#ifndef ROOT_TNamed
#include <TNamed.h>
#endif
#ifndef ROOT_TObjArray
#include <TObjArray.h>
#endif

class ATLFBrowsable;

class ATLFBigBang : public TNamed {

private:
   TObjArray     *m_Browsables;      //List of browsable particles

public:
                     ATLFBigBang();
   virtual          ~ATLFBigBang();
   virtual void      Browse(TBrowser *b);
   ATLFBrowsable    *GetBrowsable(Int_t i);
   Bool_t            IsFolder() const {return kTRUE;}

   ClassDef(ATLFBigBang, 0)   //helper class to browse generated particles.
};

#endif
