void display5(const char *filename="atlfast.root")
{

   //load atlfast shared libs
   gROOT->Macro("$ATLFAST/loadlibs5");

   // Open the root input file
   TFile *file = new TFile(filename);
   // get the atlfast object
   ATLFast *atlfast = (ATLFast*)file->Get("atlfast");
   // get the first event
   atlfast->GetEvent(0);

   //create the event display
   ATLFDisplay *disp = new ATLFDisplay("ATLFast/ROOT event display");
   disp->ShowNextEvent();
}

