{
//=========Macro generated from canvas: c1/ROOT slide: s_mcmaker
//=========  (Fri Dec 19 14:05:05 1997) by ROOT version 1.03/09
   TCanvas *c1 = new TCanvas("c1", "ROOT slide: s_mcmaker",109,73,700,900);
   c1->Range(0,0,20,24);
   c1->SetFillColor(10);
   c1->SetBorderSize(2);
   
   TPaveLabel *pl = new TPaveLabel(6,21,14,22.5,"ATLFMCMaker","br");
   pl->SetFillColor(18);
   pl->SetTextSize(0.7);
   pl->Draw();
   TDiamond *diamond = new TDiamond(4.24855,17.8254,8.23699,20.3399);
   diamond->SetFillColor(38);
   diamond->SetTextAlign(22);
   diamond->SetTextSize(0.025);
   TText *text = diamond->AddText(" ");
   text = diamond->AddText("Production");
   text = diamond->AddText("mode");
   text = diamond->AddText(" ");
   diamond->Draw();
   TArrow *arrow = new TArrow(2.97688,19.0268,3.03468,11.7066,0.015,"|>");
   arrow->SetFillColor(19);
   arrow->SetFillStyle(1001);
   arrow->SetLineWidth(4);
   arrow->Draw();
   arrow = new TArrow(9.53757,19.1106,9.59538,11.7905,0.015,"|>");
   arrow->SetFillColor(19);
   arrow->SetFillStyle(1001);
   arrow->SetLineWidth(4);
   arrow->Draw();
   
   pl = new TPaveLabel(4.9711,16.4284,7.71676,17.4063,"> 100","br");
   pl->SetFillColor(18);
   pl->SetTextSize(0.7);
   pl->Draw();
   
   pl = new TPaveLabel(8.43931,16.5402,10.9249,17.518,"1->11","br");
   pl->SetFillColor(18);
   pl->SetTextSize(0.7);
   pl->Draw();
   
   TPaveText *pt = new TPaveText(4.9422,12.461,7.89017,15.2549,"br");
   pt->SetFillColor(33);
   pt->SetTextSize(0.028);
   text = pt->AddText(" ");
   text = pt->AddText("Read Pythia file");
   text = pt->AddText("pythia1.root");
   text = pt->AddText(" ");
   pt->Draw();
   
   pt = new TPaveText(8.2659,12.4331,11.2139,15.227,"br");
   pt->SetFillColor(33);
   pt->SetTextSize(0.028);
   text = pt->AddText(" ");
   text = pt->AddText("Call Pythia");
   text = pt->AddText("on the fly");
   text = pt->AddText(" ");
   pt->Draw();
   
   TPavesText *pst = new TPavesText(2,8.5,10,11,9,"tr");
   pst->SetFillColor(42);
   pst->SetTextSize(0.035);
   text = pst->AddText(" ");
   text = pst->AddText("TClonesArray");
   text = pst->AddText(" ");
   text = pst->AddText("of");
   text = pst->AddText(" ");
   text = pst->AddText("TMCParticle");
   text = pst->AddText(" ");
   pst->Draw();
   
   pt = new TPaveText(12.5,9.5,19.5,17.5,"br");
   pt->SetFillColor(42);
   pt->SetTextAlign(12);
   pt->SetTextFont(82);
   pt->SetTextSize(0.02);
   text = pt->AddText("  ");
   text = pt->AddText("Int_t    fKS;");
   text = pt->AddText("Int_t    fKF;");
   text = pt->AddText("Int_t    fParent;");
   text = pt->AddText("Int_t    fFirstChild;");
   text = pt->AddText("Int_t    fLastChild;");
   text = pt->AddText("Float_t  fPx;");
   text = pt->AddText("Float_t  fPy;");
   text = pt->AddText("Float_t  fPz;");
   text = pt->AddText("Float_t  fEnergy;");
   text = pt->AddText("Float_t  fMass;");
   text = pt->AddText("Float_t  fVx;");
   text = pt->AddText("Float_t  fVy;");
   text = pt->AddText("Float_t  fVz;");
   text = pt->AddText("Float_t  fTime;");
   text = pt->AddText("Float_t  fLifetime;");
   pt->Draw();
   
   pl = new TPaveLabel(14,17.25,18,18,"TMCParticle","br");
   pl->SetFillColor(30);
   pl->SetTextSize(0.7);
   pl->Draw();
   
   pt = new TPaveText(2,1.5,18,7,"br");
   pt->SetFillColor(18);
   pt->SetTextAlign(12);
   pt->SetTextFont(82);
   pt->SetTextSize(0.02);
   text = pt->AddText("  ");
   text = pt->AddText("  ");
   text = pt->AddText("ATLFMCMaker *mcmaker = gATLFast->MCMaker();");
   text = pt->AddText("TClonesArray *particles = mcmaker->Fruits();");
   text = pt->AddText("TH1F *hE = new TH1F("hE","Tracks_energy",100,0,100);");
   text->SetTextColor(2);
   text = pt->AddText("TMCParticle *particle;");
   text = pt->AddText("Int_t nparticles = particles->GetEntriesFast();");
   text = pt->AddText("for (Int_t i=0;i<nparticles;i++) {");
   text = pt->AddText("   particle = (TMCParticle*)particles->At(i);");
   text = pt->AddText("   hE->Fill(particle->GetEnergy());");
   text->SetTextColor(2);
   text = pt->AddText("}");
   pt->Draw();
   
   pl = new TPaveLabel(4,6.5,16,7.5,"Example of loop on all generated particles","br");
   pl->SetFillColor(30);
   pl->SetTextSize(0.7);
   pl->Draw();
   arrow = new TArrow(9,9.5,12.4,11.7,0.02,"|>");
   arrow->SetFillColor(1);
   arrow->SetFillStyle(1001);
   arrow->SetLineWidth(4);
   arrow->Draw();
   text = new TText(0.2,0.2,"/user/brun/atlfast/s_mcmaker.C");
   text->SetTextFont(72);
   text->SetTextSize(0.02);
   text->Draw();
   
   pt = new TPaveText(1.50289,12.5728,4.47977,15.227,"br");
   pt->SetFillColor(18);
   pt->Draw();
   
   pt = new TPaveText(1.6474,16.4284,4.27746,17.3225,"br");
   pt->SetFillColor(18);
   pt->Draw();
   c1->Modified();
   c1->cd();
}
